Jobs
Background jobs.
1 endpoint.
GET
/v1/jobs/{job_id}Background job status (poll until it is finished)
Needs a key or a dashboard session
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
job_id | path | string | yes |
Responses
- 200Successful Response
Job
Data shapes on this page
Job
A row of the shared `jobs` table. Poll GET /v1/jobs/{id} until status is terminal.
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
kind | "reindex" | "import" | "sync" | "translate_backfill" | "translate_writeback" | "export" | "data_export" | "data_delete" | "embed" | "synonym_mining" | yes | |
status | "queued" | "running" | "succeeded" | "failed" | "canceled" | yes | |
progress | number | no | default 0 · min 0 · max 1 |
created_at | string (date-time) | yes | |
started_at | string (date-time) | null | no | |
finished_at | string (date-time) | null | no | |
result | object | null | no | |
error | string | null | no |